%define fontname   baekmuk-ttf

%define fontdir      %{_datadir}/fonts/%{fontname}
%define cidmapdir      %{_datadir}/ghostscript/conf.d
%define catalogue      %{_sysconfdir}/X11/fontpath.d

Name:           %{fontname}-fonts
Version:        2.2
Release:        7%{?dist}
Summary:        Free Korean TrueType fonts

Group:          User Interface/X
License:        Baekmuk
URL:            http://kldp.net/projects/baekmuk/
Source0:        http://kldp.net/frs/download.php/1429/%{fontname}-%{version}.tar.gz
Source1:        FAPIcidfmap.ko
Source2:        cidfmap.ko
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  xorg-x11-font-utils, ttmkfdir >= 3.0.6

%description
This package provides the free Korean TrueType fonts.

%package common
Summary:        Common files for Korean Baekmuk TrueType fonts
License:        Baekmuk
Group:          User Interface/X
Conflicts:      fonts-korean < 2.2-5

%description common
This package contains some common files for Baekmuk Korean TrueType fonts.

%define mk_pkg()\
%package %1\
Summary:        Korean Baekmuk TrueType %2 typeface\
License:        Baekmuk\
Group:          User Interface/X\
Obsoletes:      ttfonts-ko < 1.0.11-33\
Requires:       %{name}-common\
\
%description %1\
This package contains the Korean TrueType font %2 typeface.\
\
%post %1\
if [ -x %{_bindir}/fc-cache ]; then\
  %{_bindir}/fc-cache %{_datadir}/fonts\
fi\
\
%postun %1\
if [ "$1" = "0" ]; then\
  if [ -x %{_bindir}/fc-cache ]; then\
    %{_bindir}/fc-cache %{_datadir}/fonts\
  fi\
fi\
\
%files %1\
%defattr(-,root,root,-)\
%dir %{fontdir}-%1\
%{fontdir}-%1/*.ttf\
%verify(not md5 size mtime) %{fontdir}-%1/fonts.dir\
%verify(not md5 size mtime) %{fontdir}-%1/fonts.scale\
%{catalogue}/%{name}-%1

%mk_pkg batang Batang
%mk_pkg dotum  Dotum
%mk_pkg gulim  Gulim
%mk_pkg hline  Headline

%prep
%setup -q -n %{fontname}-%{version}

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT

# for catalogue
install -d $RPM_BUILD_ROOT%{catalogue}

for i in batang dotum gulim hline; do
  install -d $RPM_BUILD_ROOT%{fontdir}-$i
  install -p -m 0644 ttf/$i.ttf $RPM_BUILD_ROOT%{fontdir}-$i
  ln -sf ../../..%{fontdir}-$i $RPM_BUILD_ROOT%{catalogue}/%{name}-$i
  %{_bindir}/ttmkfdir -d $RPM_BUILD_ROOT%{fontdir}-$i -o $RPM_BUILD_ROOT%{fontdir}-$i/fonts.scale
  mkfontdir $RPM_BUILD_ROOT%{fontdir}-$i
done

# for ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{cidmapdir}/
install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{cidmapdir}/

# convert Korean copyright file to utf8
iconv -f EUC-KR -t UTF-8 COPYRIGHT.ks > COPYRIGHT.ko

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%doc COPYRIGHT COPYRIGHT.ko README
%{cidmapdir}/

%changelog
* Wed Nov 14 2007 Jens Petersen <petersen@redhat.com> - 2.2-7
- better url
- use fontname and fontdir macros

* Mon Sep 24 2007 Jens Petersen <petersen@redhat.com> - 2.2-6
- convert Korean copyright file to utf8 (Mamoru Tasaka, #300651)

* Mon Sep 24 2007 Jens Petersen <petersen@redhat.com> - 2.2-5
- more fixes from Mamoru Tasaka, #300651:
- make common subpackage own ghostscript conf.d
- conflict with previous fonts-korean
- update CID font maps

* Mon Sep 24 2007 Jens Petersen <petersen@redhat.com> - 2.2-4
- preserve timestamps of installed files (Mamoru Tasaka, #300651)
- add a common subpackage for shared files (Mamoru Tasaka, #300651)

* Mon Sep 24 2007 Jens Petersen <petersen@redhat.com> - 2.2-3
- do not provide ttfonts-ko in subpackages (Mamoru Tasaka, #300651)

* Sat Sep 22 2007 Jens Petersen <petersen@redhat.com> - 2.2-2
- license is now designated Baekmuk

* Sat Sep 22 2007 Jens Petersen <petersen@redhat.com> - 2.2-1
- new package separated from fonts-korean (#253155)
